indepCopula-class {copula} | R Documentation

## Class "indepCopula"

### Description

Independence copula class.

### Objects from the Class

Objects can be created by calls of the form `new("indepCopula", ...)` or by function `indepCopula()`. Such objects can be useful as special cases of parametric copulas, bypassing copula-specific computations such as distribution, density, and sampler.

### Slots

`exprdist`:

  Object of class `"expression"`: expressions of the cdf and pdf of the copula. These expressions are used in function 'pcopula' and 'dcopula'.

`dimension`:

  Object of class `"numeric"`, dimension of the copula.

`parameters`:

  Object of class `"numeric"`, parameter values.

`param.names`:

  Object of class `"character"`, parameter names.

`param.lowbnd`:

  Object of class `"numeric"`, parameter lower bounds.

`param.upbnd`:

  Object of class `"numeric"`, parameter upper bounds.

`fullname`:

  Object of class `"character"`, family names of the copula.

### Methods

A

  `signature(copula = "indepCopula")`: ...

dCopula

  `signature(copula = "indepCopula")`: ...

pCopula

  `signature(copula = "indepCopula")`: ...

rCopula

  `signature(copula = "indepCopula")`: ...

### Extends

Class `"indepCopula"` extends classes `"archmCopula"` and `"evCopula"` directly.

### See Also

`indepCopula`, `copula-class`.

### Examples

    getClass("indepCopula")

[Package copula version 0.999-15 Index]